imports:
    - { resource: services/listener.yaml }
    - { resource: services/manager.yaml }
    - { resource: services/form.yaml }
    - { resource: services/menu.yaml }
    - { resource: services/voter.yaml }

parameters:
    locale: fr

services:
    _defaults:
        autowire: true
        autoconfigure: true
        bind:
            $defaultLocale: '%locale%'
            $smartContactEmail: '%env(SMART_CONTACT_EMAIL)%'
            $recaptchaSecretKey: '%env(RECAPTCHA_SECRET_KEY)%'
            $recaptchaPublicKey: '%env(RECAPTCHA_PUBLIC_KEY)%'
            $projectTitle: '%env(SMART_PROJECT_TITLE)%'
            $rootDir: '%kernel.root_dir%'

    App\:
        resource: '../src/*'
        exclude: '../src/{Command,DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    App\Command\:
        public: true
        autowire: true
        autoconfigure: true
        resource: '../src/Command'
        tags:
            - { name: console.command }

    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    app.form.tinymce.extension:
        class: App\Form\TinyMce\FileManagerExtension
        tags:
            - { name: smart_core.tinymce_extension }
